=== debian/changelog ===
leveldb (0+20110926.git26db4d9-2ubuntu1) precise; urgency=low

  * Fix build with --as-needed linker option.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 30 Oct 2011 17:43:56 +0400

leveldb (0+20110926.git26db4d9-2) unstable; urgency=low

  * debian/patches/0005-Add-support-S390.patch:
    - Small fix to prevent FTBFS (Closes: #644336).

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2011 17:45:43 +0200

leveldb (0+20110926.git26db4d9-1) unstable; urgency=low

  * Imported snapshot from upstream's git:
    - Fix GCC -Wshadow warnings in public header files.
    - Add in-memory implementation, users are now allowed to create
      LevelDBs in-memory.
    - Fix a Valgrind warning.
    - Code clean-up.
    - Add GNU/kFreeBSD support.
    - Use uint64_t instead of size_t in MemEnvTest.
  * Add support for the following architectures, a big "thank you!" goes to
    Nobuhiro Iwamatsu for the great work (Closes: #643622):
    - PowerPC
    - IA64
    - Alpha
    - Sparc
    - S390
    - MIPS
    - SuperH
    - PARISC
  * Drop 1002-kfreebsd.patch, accepted upstream.
  * Update get-git-source.sh script.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Oct 2011 19:07:11 +0200

leveldb (0+20110901.git7263023-2) unstable; urgency=low

  * Attempt to compile on kFreeBSD, thanks to Christoph Egger for
    the patch (Closes: #640378).

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Sep 2011 09:59:38 +0200

leveldb (0+20110901.git7263023-1) unstable; urgency=low

  * New upstream release.
  * Drop libgoogle-perftools-dev,libsnappy-dev from Build-Depends.
  * Small fix in debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2011 09:52:36 +0200

leveldb (0~svn47-2) unstable; urgency=low

  * Compile with -fPIC.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 13:21:34 +0200

leveldb (0~svn47-1) unstable; urgency=low

  * New upstream snapshot.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 12:52:11 +0200

leveldb (0~svn45-1) unstable; urgency=low

  * Initial release. (Closes: #636695)

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Aug 2011 13:50:34 +0200
