=== debian/control ===
Source: leveldb
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/leveldb/
Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/leveldb.git

Package: libleveldb-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: leveldb-doc
Description: fast key-value storage library
 LevelDB is a fast key-value storage library written at Google that
 provides an ordered mapping from string keys to string values.
 .
 Features:
  * Keys and values are arbitrary byte arrays.
  * Data is stored sorted by key.
  * Callers can provide a custom comparison function to override
    the sort order.
  * The basic operations are Put(key,value), Get(key), Delete(key).
  * Multiple changes can be made in one atomic batch.
  * Users can create a transient snapshot to get a consistent view of
    data.
  * Forward and backward iteration is supported over the data.
  * Data is automatically compressed using the Snappy compression
    library.
  * External activity (file system operations etc.) is relayed through
    a virtual interface so users can customize the operating system
    interactions.
  * Detailed documentation about how to use the library is included with
    the source code.
 .
 Limitations:
  * This is not a SQL database. It does not have a relational data model,
    it does not support SQL queries, and it has no support for indexes.
  * Only a single process (possibly multi-threaded) can access a
    particular database at a time.
  * There is no client-server support builtin to the library.
    An application that needs such support will have to wrap their own
    server around the library.

Package: leveldb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LevelDB documentation
 LevelDB is a fast key-value storage library written at Google that
 provides an ordered mapping from string keys to string values.
 .
 This package provides the developers reference for LevelDB.
