=== debian/watch ===
version=3
http://googlecode.debian.net/p/leveldb/leveldb-(\d+.*)\.tar\.bz2
