## leveldb 0+20111031.git36a5f8e

=== debian/changelog ===
leveldb (0+20111031.git36a5f8e-2) unstable; urgency=low

  * Fix build failure with --as-needed flag enabled (Closes: #647105).
  * Re-introduce Cristoph Egger's patch to allow compilation
    on kFreeBSD (Closes: #648248).

 -- Alessio Treglia <alessio@debian.org>  Wed, 30 Nov 2011 12:06:07 +0100

leveldb (0+20111031.git36a5f8e-1) unstable; urgency=low

  * Imported Upstream snapshot 0+20111031.git36a5f8e.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Nov 2011 15:07:24 +0100
