=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: leveldb
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/leveldb/
