=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=debian/tmp
export PREFIX=/usr
export LIBDIR=lib

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs -pleveldb-doc NEWS

override_dh_installdocs:
	dh_installdocs --link-doc=leveldb-doc

get-orig-source:
	debian/get-git-source.sh
