## leveldb 0+20111130.gitc8c5866

=== debian/changelog ===
leveldb (0+20111130.gitc8c5866-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream snapshot.
  * Refresh patches.
  * debian/rules: Support "noopt" flag.

  [ Pino Toscano ]
  * Add preliminary support for GNU/Hurd.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Jan 2012 09:44:04 +0100
