=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 export DESTDIR=debian/tmp
 export PREFIX=/usr
 export LIBDIR=lib
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    OPT=-O0
+else
+    OPT=-O2
+endif
+
+export OPT += -DNDEBUG
 
 %:
 	dh $@ --parallel
