=== debian/changelog ===
leveldb (0+20120125.git3c8be10-1) unstable; urgency=low

  * New upstream snapshot.
  * Build with snappy. (Closes: #654291)

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Feb 2012 13:21:01 +0100
