=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: database
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 7.0.50~),
+ libsnappy-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/leveldb/
 Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
