=== debian/changelog ===
leveldb (0+20120417.git85584d4-1) unstable; urgency=low

  * New upstream snapshot 20120417.git85584d4:
    - Added bloom filter support.
    - Updated version number to 1.4.
    - Some build tweaks.
    - C binding for CompactRange.
    - Few more benchmarks.
  * debian/patches/0102-kfreebsd.patch
    - Compile port/port_posix.cc to fix FTBFS on kfreebsd. (Closes: #669305)
  * debian/patches/0103-hurd.patch
    - Compile port/port_posix.cc on hurd.
  * Refresh the whole patchset.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 11:30:42 +0200

leveldb (0+20120330.gitbc1ee4d-1) unstable; urgency=low

  * Imported upstream snapshot 20120330.gitbc1ee4d.
  * Remove 1001-buildsystem.patch, no longer needed.
  * Refresh patches:
    - debian/patches/0101-as_needed.patch
    - debian/patches/0102-kfreebsd.patch
    - debian/patches/0103-hurd.patch
  * Remove 0010-shared_object.patch, solved by upstream.
  * debian/patches/0111-soname_fix.patch:
    - Fix SONAME, don't prepend soname with any path.
  * debian/patches/0112-makefile_install.patch:
    - Add install target to the makefile.
  * Introduce leveldb1 to provide the shared library.
  * Convert to Multi-Arch.
  * Don't pass --link-doc to dh_installdocs to avoid non-multiarchified
    dependencies on leveldb-doc.
  * Update debian/copyright to copyright format 1.0.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Apr 2012 11:22:27 +0200
