=== debian/changelog ===
leveldb (0+20120530.gitdd0d562-1) unstable; urgency=low

  * Imported Upstream version 0+20120530.gitdd0d562
  * Update patch for SuperH.
    Thanks to Nobuhiro Iwamatsu for the great work. (Closes: #671808)
  * Drop 0111-soname_fix.patch, applied upstream.
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Jun 2012 10:38:40 +0200
