=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Section: database
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ debhelper (>= 9),
  libsnappy-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/leveldb/
 Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/leveldb.git
 
-Package: libleveldb-dev
-Section: libdevel
+Package: libleveldb1
+Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Suggests: leveldb-doc
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: fast key-value storage library
  LevelDB is a fast key-value storage library written at Google that
  provides an ordered mapping from string keys to string values.
@@ -45,11 +48,30 @@
   * There is no client-server support builtin to the library.
     An application that needs such support will have to wrap their own
     server around the library.
+ .
+ This package provides the shared library.
+
+Package: libleveldb-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends:
+ libleveldb1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ leveldb-doc
+Description: fast key-value storage library (development files)
+ LevelDB is a fast key-value storage library written at Google that
+ provides an ordered mapping from string keys to string values.
+ .
+ This package provides the development files.
 
 Package: leveldb-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: LevelDB documentation
  LevelDB is a fast key-value storage library written at Google that
  provides an ordered mapping from string keys to string values.
