## leveldb 1.9.0

=== debian/changelog ===
leveldb (1.9.0-1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive. 

 -- James Page <james.page@ubuntu.com>  Fri, 08 Feb 2013 08:55:46 +0000

leveldb (1.9.0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 14:34:08 +0000

leveldb (1.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #696956)
  * Refresh 1002-cstdatomic_renaming.patch patch.
  * Fix debian/watch file.
    Thanks to Bart Martens for the fix.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 23:54:14 +0000

leveldb (1.7.0-1) experimental; urgency=low

  * New upstream release:
    - Fix shared library building.
    - Reorganize linking commands so flags like --as-needed can
      be passed.
    - C binding exports version numbers.
    - Fix small typos in documentation.
  * Drop 0101-as_needed.patch, applied upstream.
  * Refresh patches.
  * Change tarball compression to gzip.

 -- Alessio Treglia <alessio@debian.org>  Sun, 18 Nov 2012 15:18:45 +0000

leveldb (0+20121012.git946e5b5-2) experimental; urgency=low

  * Merge Debian ports patches into an all-in-one 0001-debian-ports.patch
    patch.
  * debian/patches/1002-cstdatomic_renaming.patch:
    - <cstdatomic> has been renamed to <atomic>, fix #include statements.
  * Append CPPFLAGS to CXXFLAGS as the buildsystem doesn't handle it.
  * Disable MIPS implementation for now, the atomic_pointer implementation
    doesn't work.

 -- Alessio Treglia <alessio@debian.org>  Mon, 15 Oct 2012 11:26:21 +0100

leveldb (0+20121012.git946e5b5-1) experimental; urgency=low

  * Update to leveldb 1.6.
  * debian/get-git-source.sh
    - Use HTTP instead of HTTPS to workaround issues with proxies.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Oct 2012 17:14:51 +0100

leveldb (0+20120530.gitdd0d562-2) unstable; urgency=low

  * debian/patches/1001-fix_bloom_test.patch:
    - Increase false positive threshold by 1% to fix FTBFS on big endian
      archs. Patch taken from upstream mailing list. (Closes: #677645)
      (LP: #1021560)

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Jul 2012 15:38:29 +0200
