## leveldb 1.12.0

=== debian/changelog ===
leveldb (1.12.0-1~bpo60+1.ceph) squeeze; urgency=low

  * 

 -- Alessio Treglia <gary.lowell@inktank.com>  Fri, 27 Sep 2013 23:11:28 +0000

leveldb (1.12.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh patches.

  [ Martin Pitt ]
  * debian/tests/build: Fix typo in file name passed to g++,
    to make the test actually work.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Jun 2013 23:49:32 +0100

leveldb (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0113-makefile_memenv.patch: Install missing component
    "memenv" (Closes: #701075). Thanks to Dmitry Smirnov for the report
    and patch.
  * Fix VCS fields.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 May 2013 04:55:01 +0200

leveldb (1.9.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 May 2013 11:11:33 +0200

leveldb (1.9.0-2) experimental; urgency=low

  * Improve get-orig-source mechanism.
  * Add autopkgtest support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Mar 2013 18:29:52 +0000
