=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends:
  debhelper (>= 9),
  libsnappy-dev
-Standards-Version: 3.9.3
+XS-Testsuite: autopkgtest
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/leveldb/
-Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/leveldb.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/leveldb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leveldb.git
 
 Package: libleveldb1
 Section: libs
