## leveldb 1.13.0

=== debian/changelog ===
leveldb (1.13.0-1~cloud1) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 09:11:16 +0100

leveldb (1.13.0-1) unstable; urgency=low

  * New upstream release. (Closes: #720609)
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Aug 2013 17:10:29 +0100
