## leveldb 1.15.0

=== debian/changelog ===
leveldb (1.15.0-2) unstable; urgency=low

  * Allow tests to fail on mips only. Thanks to Dmitry Smirnov
    for the hint. (Closes: #735515)

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Mar 2014 17:39:33 +0000

leveldb (1.15.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards.
  * Refresh patches.
  * Multiarchify the -DBG runtime.
  * Update copyright holders information.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 14:49:30 +0000

leveldb (1.14.0-3) unstable; urgency=low

  [ paul cannon ]
  * Ship leveldb-dbg package. (Closes: #728916)

 -- Alessio Treglia <alessio@debian.org>  Thu, 07 Nov 2013 09:35:19 +0000

leveldb (1.14.0-2) unstable; urgency=low

  * Inject CPPFLAGS into CFLAGS for hardening.
  * Don't fail when tests fail (temporary workaround, tests are buggy).

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 15:51:41 +0100

leveldb (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 1003-sparc_alignment.patch, fixed upstream.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Sep 2013 13:19:10 +0100

leveldb (1.13.0-2) unstable; urgency=low

  * Fix FTBFS on sparc{,64}.
    Thanks to Hilko Bengen for the patch. (Closes: #681946)

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Aug 2013 09:26:13 +0100
