=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  libsnappy-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/leveldb/
 Vcs-Git: git://anonscm.debian.org/collab-maint/leveldb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leveldb.git
@@ -69,6 +69,23 @@
  .
  This package provides the development files.
 
+Package: libleveldb-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ libleveldb1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Priority: extra
+Description: fast key-value storage library (debug symbols)
+ LevelDB is a fast key-value storage library written at Google that
+ provides an ordered mapping from string keys to string values.
+ .
+ This package provides the debugging symbols.
+
 Package: leveldb-doc
 Section: doc
 Architecture: all
