## leveldb 1.17

=== debian/changelog ===
leveldb (1.17-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Jun 2014 23:14:33 +0100

leveldb (1.17-1) unstable; urgency=low

  * New upstream release.
  * Fix trivial mistake in 1002-cstdatomic_renaming.patch. (Closes: #741325)

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Jun 2014 11:05:26 +0100
