## leveldb 1.18

=== debian/changelog ===
leveldb (1.18-5) unstable; urgency=medium

  * Integrate ARM64 support patch to 0001-debian-ports.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Aug 2015 21:21:22 +0200

leveldb (1.18-4) unstable; urgency=medium

  * Add proper ARM64 support from upstream Git tree.
  * Build depend on C++11 ABI transitioned snappy version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Aug 2015 19:58:02 +0200

leveldb (1.18-3) unstable; urgency=medium

  * Rename library to libleveldb1v5 for GCC 5 transition.
  * Update Standards-Version to 3.9.6 .
  * Add myself to uploaders.

  [ Reiner Herrmann <reiner@reiner-h.de> ]
  * Make the build reproducible (closes: #791960).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2015 08:42:55 +0200

leveldb (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with "-fPIC" added to CPPFLAGS (Closes: #791374).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jul 2015 09:58:37 +1000

leveldb (1.18-2) unstable; urgency=medium

  * Re-apply patch to debian/patches/0001-debian-ports.patch
    to fix FTBFS on hppa. Thanks to Helge Deller for pointing
    this out promptly. (Closes: #783583)

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Apr 2015 08:03:56 +0100

leveldb (1.18-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patchset.
  * Drop 1002-cstdatomic_renaming.patch, applied upstream.
  * Upstream project has moved to Github, update references
    accordingly.

 -- Alessio Treglia <alessio@debian.org>  Sun, 26 Apr 2015 17:59:38 +0100
