=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: database
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libsnappy-dev
+ libsnappy-dev (>= 1.1.3-2)
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/leveldb/
+Standards-Version: 3.9.6
+Homepage: https://github.com/google/leveldb
 Vcs-Git: git://anonscm.debian.org/collab-maint/leveldb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leveldb.git
 
-Package: libleveldb1
+Package: libleveldb1v5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -20,6 +21,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Conflicts: libleveldb1
+Replaces: libleveldb1
 Description: fast key-value storage library
  LevelDB is a fast key-value storage library written at Google that
  provides an ordered mapping from string keys to string values.
@@ -58,7 +61,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libleveldb1 (= ${binary:Version}),
+ libleveldb1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -76,7 +79,7 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libleveldb1 (= ${binary:Version}),
+ libleveldb1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Priority: extra
